Name:  gres
%define vers 1.4.5
Version:  %{vers}
Release:  1
Group:  Utilities/Text
Source0:  http://gres.netpedia.net/gres-%{vers}.tar.gz
Copyright:  GPL
Packager:  Matt Shibla <mshibla@iname.com>
BuildRoot:  /tmp/gres-%{vers}
%define prefix /usr
Prefix:  %{prefix}
Summary:  gres - substitute for a pattern in a file or stream


%description
gres - substitute for a pattern in a file or stream, inspired by
Mortice Kern Systems (MKS), Inc.


%define bin_loc %{prefix}/bin
%define man_loc %{prefix}/man/man1


%changelog

* Sun Sep 17 2000 Matt Shibla <mshibla@iname.com>

- 1.4.5-1: Updated to version 1.4.5

* Tue Feb 16 1999 Matt Shibla <mshibla@iname.com>

- 1.4.4-1: Updated to version 1.4.4

* Fri Feb 11 1999 Matt Shibla <mshibla@iname.com>

- 1.4.3-1: Updated to version 1.4.3

* Thu Jan 07 1999 Matt Shibla <mshibla@iname.com>

- 1.4.2-1: Updated to version 1.4.2

* Mon Dec 21 1998 Matt Shibla <mshibla@iname.com>

- 1.4.1-1: Updated to version 1.4.1

* Sun Dec 20 1998 Matt Shibla <mshibla@iname.com>

- 1.4-1: Updated to version 1.4

* Wed Nov 25 1998 Matt Shibla <mshibla@iname.com>

- 1.3.5-3: Fixed a documentation bug
- Renamed the spec file for CVS tracking purposes
- Minor spec file adjustments

* Thu Nov 19 1998 Matt Shibla <mshibla@iname.com>

- 1.3.5-2: Added URL reference
- Changed %{version} to %{vers} macro to work-around broken rpm behavior

* Tue Nov 03 1998 Matt Shibla <mshibla@iname.com>

- Updated to version 1.3.5

* Wed Jul 29 1998 Matt Shibla <mshibla@iname.com>

- Updated to version 1.3.4

* Tue Jul 28 1998 Matt Shibla <mshibla@iname.com>

- Updated to version 1.3.3

* Mon Jul 27 1998 Matt Shibla <mshibla@iname.com>

- Updated to version 1.3.2

* Mon Jun 08 1998 Matt Shibla <mshibla@iname.com>

- Updated to version 1.3.1

* Wed Jun 03 1998 Matt Shibla <mshibla@iname.com>

- Updated to version 1.3

* Mon Jun 01 1998 Matt Shibla <mshibla@iname.com>

- Updated to version 1.2.1

* Thu May 14 1998 Matt Shibla <mshibla@iname.com>

- Updated to version 1.2

* Wed May 13 1998 Matt Shibla <mshibla@iname.com>

- Updated to version 1.1.1

* Tue May 12 1998 Matt Shibla <mshibla@iname.com>

- Updated to version 1.1
- Minor spec file changes

* Sun May 03 1998 Matt Shibla <mshibla@iname.com>

- Reimplemented gres in C, from sed source.  Reworked docs and spec file to
  reflect this.

* Fri May 01 1998 Matt Shibla <mshibla@iname.com>

- Made initial package, from Dougherty, D., Robbins, A.  1997 sed & awk, 2nd 
  edition.  O'Reilly & Associates, Inc.  Cambridge, Mass.  This version was a
  shell script wrapper which invoked sed.
- Wrote man page  


%prep
%setup


%build
./configure --prefix=%{prefix} --exec-prefix=%{prefix}
make CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{bin_loc}
install -s gres $RPM_BUILD_ROOT%{bin_loc}
mkdir -p $RPM_BUILD_ROOT%{man_loc}
install gres.1 $RPM_BUILD_ROOT%{man_loc}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc CHANGES COPYING COPYING.LIB INSTALL README
%attr(0755, root, root) %{bin_loc}/gres
%attr(0644, root, root) %{man_loc}/gres.1
